Enrolments: which installers may still admit machines, and how many each has.
curl --request PATCH \
--url https://app.assetinfinity.ai/api/discovery_enrolments \
--header 'Content-Type: application/json' \
--data '
{
"created_at": "<string>",
"expires_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_open": true,
"max_sources": 123,
"name": "<string>",
"platforms": [
"<string>"
],
"requires_approval": true,
"revoked_at": "<string>",
"revoked_reason": "<string>",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_key_days": 123,
"source_kind": "<string>",
"sources_enrolled": 123
}
'import requests
url = "https://app.assetinfinity.ai/api/discovery_enrolments"
payload = {
"created_at": "<string>",
"expires_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_open": True,
"max_sources": 123,
"name": "<string>",
"platforms": ["<string>"],
"requires_approval": True,
"revoked_at": "<string>",
"revoked_reason": "<string>",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_key_days": 123,
"source_kind": "<string>",
"sources_enrolled": 123
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
created_at: '<string>',
expires_at: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_open: true,
max_sources: 123,
name: '<string>',
platforms: ['<string>'],
requires_approval: true,
revoked_at: '<string>',
revoked_reason: '<string>',
site_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_key_days: 123,
source_kind: '<string>',
sources_enrolled: 123
})
};
fetch('https://app.assetinfinity.ai/api/discovery_enrolments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Itam
Enrolments: which installers may still admit machines, and how many each has.
PATCH
/
discovery_enrolments
Enrolments: which installers may still admit machines, and how many each has.
Headers
Preference
Available options:
return=representation, return=minimal, return=none Query Parameters
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
discovery_enrolments
Enrolments: which installers may still admit machines, and how many each has.
Note: This is a Primary Key.
Maximum string length:
150Maximum string length:
200Note:
This is a Foreign Key to entry_currencies.for_site_id.
Maximum string length:
20Response
204
No Content
⌘I

